Bug 908357 - (Horde_Xml_Wbxml) Review Request: php-horde-Horde-Xml-Wbxml - Provides an API for encoding and decoding WBXML documents
Review Request: php-horde-Horde-Xml-Wbxml - Provides an API for encoding and ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
: horde-xml-wbxml (view as bug list)
Depends On: Horde_Util Horde_Test
Blocks: Horde_SyncMl
  Show dependency treegraph
 
Reported: 2013-02-06 08:59 EST by Remi Collet
Modified: 2013-03-26 09:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 13:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-horde-Horde-Xml-Wbxml-review.txt (6.88 KB, text/plain)
2013-02-09 23:42 EST, Shawn Iwinski
no flags Details
phpci.log (12.49 KB, text/x-log)
2013-02-09 23:42 EST, Shawn Iwinski
no flags Details

  None (edit)
Comment 1 Remi Collet 2013-02-06 09:00:19 EST
*** Bug 785481 has been marked as a duplicate of this bug. ***
Comment 2 Shawn Iwinski 2013-02-09 23:42:21 EST
Created attachment 695663 [details]
php-horde-Horde-Xml-Wbxml-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 908357
Comment 3 Shawn Iwinski 2013-02-09 23:42:50 EST
Created attachment 695664 [details]
phpci.log
Comment 4 Shawn Iwinski 2013-02-09 23:54:48 EST
Couldn't the "> 12" be removed from "%if 0%{?fedora} > 12"?  Or even just changed to "%{?fedora:BuildRequires: libwbxml}"?



===== MUST items =====

[!]: Requires correct, justified where necessary.
     
     phpci: pcre, xml
Comment 5 Remi Collet 2013-02-10 01:10:27 EST
Missing requires:
https://github.com/remicollet/remirepo/commit/9c61bb7e79ed70782d80b537174436c55b3b1ded

> Couldn't the "> 12" be removed ...
I prefer to keep it (which makle backport easier) and because I don't know yet if this package will be available in RHEL-7, so could become
   %if 0%{?fedora} > 12 || 0%{?rhel} > 6

Spec: https://raw.github.com/remicollet/remirepo/9c61bb7e79ed70782d80b537174436c55b3b1ded/php/horde/php-horde-Horde-Xml-Wbxml/php-horde-Horde-Xml-Wbxml.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Xml-Wbxml-2.0.1-3.remi.src.rpm
Comment 6 Shawn Iwinski 2013-02-10 12:15:05 EST
[!]: Requires correct, justified where necessary.  =>  FIXED

No blockers.

===== APPROVED =====
Comment 7 Remi Collet 2013-02-10 12:46:51 EST
Thanks for the review

New Package SCM Request
=======================
Package Name: php-horde-Horde-Xml-Wbxml
Short Description: Provides an API for encoding and decoding WBXML documents
Owners: remi nb
Branches: f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-02-11 08:55:45 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-02-11 10:03:10 EST
php-horde-Horde-Xml-Wbxml-2.0.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Xml-Wbxml-2.0.1-3.fc18
Comment 10 Fedora Update System 2013-02-11 10:03:51 EST
php-horde-Horde-Xml-Wbxml-2.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Xml-Wbxml-2.0.1-3.el6
Comment 11 Fedora Update System 2013-02-12 00:06:53 EST
php-horde-Horde-Xml-Wbxml-2.0.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-02-27 13:02:35 EST
php-horde-Horde-Xml-Wbxml-2.0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2013-02-28 01:55:20 EST
php-horde-Horde-Xml-Wbxml-2.0.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.